gopls (2:0.16.1+ds-1) unstable; urgency=medium

  * New upstream version 0.16.1
  * Bump versioned dependencies as per go.mod
  * Bump local golang.org/x/telemetry to v0.0.0-20240607193123-221703e18637
  * Add gopls/internal/server/assets and gopls/internal/doc/api.json
    to DH_GOLANG_INSTALL_EXTRA
  * Refresh patches, especially
    0007-Skip-gopls-internal-licenses-TestLicenses.patch for the
    gopls/internal/hooks/licenses_test.go =>
    gopls/internal/licenses/licenses_test.go rename.
  * Add 0020-Skip-go-packages-TestLoadOverlayGoMod.patch (needs Go mod)
  * Renumber Debian patches with gopls-specific patches starting at 1000
    for easier maintenance

 -- Anthony Fok <foka@debian.org>  Tue, 20 Aug 2024 08:19:41 -0600

gopls (2:0.15.3+ds-2) unstable; urgency=medium

  * Source-only upload for migration to testing
  * Fix autopkgtest error after the gopls split from golang-golang-x-tools.
    The error is caused by dh_golang_autopkgtest which, confused by the two
    packages’ identical XS-Go-Import-Path "golang.org/x/tools", incorrectly
    replaces gopls source files with those from golang-golang-x-tools-dev
    binary package, now without gopls source, in the _build directory.
  * Revert "Add gopls/internal/server/assets to DH_GOLANG_INSTALL_EXTRA"
    for now, as gopls v0.15.3 is an older release where upstream had not
    yet added gopls/internal/server/assets

 -- Anthony Fok <foka@debian.org>  Sat, 17 Aug 2024 04:08:59 -0600

gopls (2:0.15.3+ds-1) unstable; urgency=medium

  * Split gopls from golang-golang-x-tools to its own source package.
    golang.org/x/tools and gopls have diverged into to two separate
    branches upstream.  gopls built from golang.org/x/tools v0.20.0,
    for example, behave incorrectly and fails an ycmd Go test:
    .
      PYTHONPATH=/usr/lib/ycmd python3 -m unittest \
                               ycmd/tests/go/inlay_hints_test.py
    .
    Building from a gopls release branch resolves such errors
    and allows us to follow upstream’s lower gopls version number
    by bumping the epoch from 1 to 2. (Closes: #1063421)
  * New upstream version 0.15.3
  * Downgrade versioned dependencies in debian/control and local copy of
    golang.org/x/telemetry to v0.0.0-20240209200032-7b892fcb8a78
    as per gopls/go.mod of v0.15.3
  * Modify debian/rules to build just gopls
  * Delete now unneeded and non-working debian/gopls.install
  * Build with -ldflags '-X "main.version=v$(VERSION)"'
    so that "gopls version" correctly gives "golang.org/x/tools/gopls v0.15.3"
    instead of "golang.org/x/tools/gopls (unknown)"
  * Update Vcs-Browser and Vcs-Git to refer to the gopls/debian/sid branch
    of https://salsa.debian.org/go-team/packages/golang-golang-x-tools
    where this new gopls source Debian package is maintained.

 -- Anthony Fok <foka@debian.org>  Wed, 31 Jul 2024 06:15:15 -0600

golang-golang-x-tools (1:0.20.0+ds-1) unstable; urgency=medium

  * New upstream version 0.20.0
  * Bump versioned dependencies as per go.mod
  * Bump Standards-Version to 4.7.0 (no change)
  * Add gopls/internal/server/assets to DH_GOLANG_INSTALL_EXTRA
  * Stop installing /usr/bin/golang-guru and its Debian man page
    guru was removed upstream on 2024-03-08:
    "RIP guru, Go's LSP server before LSP was invented."
  * debian/patches/series: Comment out 0013-Disable-telemetry-in-gopls.patch
  * Include a local copy of golang.org/x/telemetry for gopls opt-in
    telemetry (golang.org/x/telemetry v0.0.0-20240228155512-f48c80bd79b2).
    .
    I have found it overly exhausting to revise the removal patch for
    telemetry code in gopls for each single golang.org/x/tools release,
    with little benefit, especially when the gopls telemetry system
    is off by default and requires an explicit opt-in.
    .
    That said, if fellow Debian Developers would like to take on the
    continuing task of refreshing 0013-Disable-telemetry-in-gopls.patch to
    remove telemetry functionality altogether, I am totally happy too!
    (Thank you!)
    .
    See https://go.dev/issue/58894 for more information from Russ Cox
    and discussions on "add opt-in transparent telemetry to Go toolchain".

 -- Anthony Fok <foka@debian.org>  Fri, 26 Apr 2024 22:43:01 -0600

golang-golang-x-tools (1:0.19.0+ds-1) unstable; urgency=medium

  * New upstream version 0.19.0
  * Bump versioned dependencies as per go.mod
  * Refresh patches, especially 0013-Disable-telemetry-in-gopls.patch
  * Remove getgo which was deleted and moved to v0.1.0-deprecated upstream

 -- Anthony Fok <foka@debian.org>  Sun, 24 Mar 2024 20:16:28 -0600

golang-golang-x-tools (1:0.18.0+ds-1) unstable; urgency=medium

  * New upstream version 0.18.0
  * Bump versioned dependencies as per go.mod
  * Refresh patches: 0011, 0013, 0017, 0018 and 0019
  * Patch cmd/deadcode/deadcode.go to disable telemetry
  * Update DH_GOLANG_EXCLUDES to prevent building /usr/bin/generate:
    gopls/internal/lsp/protocol/generate has been moved to
    gopls/internal/protocol/generate

 -- Anthony Fok <foka@debian.org>  Fri, 23 Feb 2024 21:54:09 -0700

golang-golang-x-tools (1:0.17.0+ds-1) unstable; urgency=medium

  * New upstream version 0.17.0
  * Update versioned dependencies as per go.mod
  * Add 0019-Set-GO111MODULE-auto-for-TestZeroConfigAlgorithm.patch

 -- Anthony Fok <foka@debian.org>  Sun, 04 Feb 2024 07:18:54 -0700

golang-golang-x-tools (1:0.16.1+ds-1) unstable; urgency=medium

  * New upstream version 0.16.1
  * Refresh patches:
    - 0003-Disable-embedding-static-files-for-godoc-cmd.patch
    - 0009-Skip-gopls-internal-lsp-cmd-TestCapabilities.patch
    - 0011-Skip-gopls-internal-lsp-cmd-TestRename-and-TestStats.patch
    - 0013-Disable-telemetry-in-gopls.patch
    - 0016-Fix-typo-GO111MODULES-GO111MODULE.patch
  * Patch 0017: Skip TestTemplates in gopls/internal/debug/template_test.go
    (needs golang-github-jba-templatecheck-dev which is not yet packaged)
  * Patch 0018: Set GO111MODULE=on for TestExecute and TestCodeLens
  * debian/rules: Update DH_GOLANG_EXCLUDES and DH_GOLANG_INSTALL_EXTRA

 -- Anthony Fok <foka@debian.org>  Sat, 30 Dec 2023 06:21:06 -0700

golang-golang-x-tools (1:0.15.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.15.0
  * Add patch to replace typo GO111MODULE env name
  * Exclude new test binaries
    + go/analysis/passes/httpmux/cmd/httpmux
    + gopls/internal/lsp/analysis/unusedparams/cmd

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 22 Nov 2023 01:01:51 +0800

golang-golang-x-tools (1:0.14.0+ds-1) unstable; urgency=medium

  * New upstream version 0.14.0
  * Bump versioned dependencies as per go.mod
  * Refresh patches, especially 0013-Disable-telemetry-in-gopls.patch
    and 0015-internal-refactor-inline-Skip-tests-failing-to-impor.patch

 -- Anthony Fok <foka@debian.org>  Mon, 06 Nov 2023 05:10:55 -0700

golang-golang-x-tools (1:0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * Bump versioned dependencies as per go.mod
  * Refresh Debian patches esp. 0013-Disable-telemetry-in-gopls.patch
    as gopls/internal/telemetry/telemetry_test.go needs to be skipped too
  * Add patches to fix test with GO111MODULE=on or just skip them
    - Set GO111MODULE=on to fix TestExampleSeparateAnalysis
    - internal/refactor/inline: Skip tests failing to import "testdata/{a,b}"
  * Fix Lintian mismatched-override repeated-path-segment internal *
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Invoke dh with --builddirectory=_build

 -- Anthony Fok <foka@debian.org>  Sun, 15 Oct 2023 00:41:05 -0600

golang-golang-x-tools (1:0.12.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.12.0+ds
  * Exclude cmd/present/static/jquery.js
  * Set GO111MODULE in go/analysis tests
  * Disable telemetry in gopls
  * Bump golang-golang-x-mod-dev to 0.12.0

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 17 Aug 2023 00:00:19 +0800

golang-golang-x-tools (1:0.11.1+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.11.1+ds
  * Drop 0005-Skip-go-vcs-TestRepoRootForImportPath.patch
    as go/vcs is deleted.
  * Add 0012-Enable-GO111MODULE-in-gonew-test.patch
  * Add golang prefix to deadcode and defers command
  * Install golang-deadcode, golang-defers and gonew binaries

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 03 Aug 2023 19:21:30 +0800

golang-golang-x-tools (1:0.9.1+ds-1) unstable; urgency=medium

  * New upstream version 0.9.1+ds
  * Refresh patches
  * Bump versioned dependencies as per go.mod
  * Skip TestStats in gopls/internal/lsp/cmd/test/integration_test.go
    which gives different results when GO111MODULE=off
  * Install new executables: bisect nodecount, play, unusedresult
    to /usr/bin with added golang- prefix

 -- Anthony Fok <foka@debian.org>  Tue, 27 Jun 2023 12:19:16 -0600

golang-golang-x-tools (1:0.7.0+ds-1) unstable; urgency=medium

  * New upstream version 0.7.0+ds
  * Bump versioned dependencies as per go.mod
  * Refresh 0002-Disable-static-files-for-present-cmd.patch
    and 0008-Skip-gopls-internal-hooks-TestLicenses.patch
  * Remove previously backported 0013-skip-typeparam-issue58513.go.patch

 -- Anthony Fok <foka@debian.org>  Tue, 20 Jun 2023 04:36:12 -0600

golang-golang-x-tools (1:0.6.0+ds-1) unstable; urgency=medium

  * New upstream version 0.6.0+ds
  * Bump versioned dependencies as per go.mod
  * Remove 0012-Update-govuln-to-6ad3e3d.patch
    which was backported from golang-golang-x-tools 0.6.0
  * Skip gopls/internal/lsp/cmd TestRename as the "in 'package' identifier"
    subtest gets a different error message from expected when GO111MODULE=off
  * Refresh lintian overrides

 -- Anthony Fok <foka@debian.org>  Thu, 15 Jun 2023 09:08:56 -0600

golang-golang-x-tools (1:0.5.0+ds-3) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 11 Jun 2023 17:19:14 +0800

golang-golang-x-tools (1:0.5.0+ds-2) experimental; urgency=medium

  * Team upload
  * Backport patch to fix tests with Go1.20.2

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 13 Mar 2023 18:07:20 +0800

golang-golang-x-tools (1:0.5.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.5.0+ds
  * Update Standards-Version to 4.6.2 (no changes)
  * Bump golang-golang-x-vuln-dev to 0.0~git20230201.4c848ed
  * Skip internal/gcimporter TestStdlib.
    This test needs github.com/jba/printsrc
  * Exclude gopls/internal/lsp/protocol/generate when building

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 07 Feb 2023 21:37:17 +0800

golang-golang-x-tools (1:0.2.0+ds-2) unstable; urgency=medium

  * Remove gopls module in golang-golang-x-tools-dev package.
    To avoid gopls tests in autopkgtest, which causes circular
    dependencies when updating golang-golang-x-vuln.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 03 Jan 2023 01:29:40 +0800

golang-golang-x-tools (1:0.2.0+ds-1) unstable; urgency=medium

  * New upstream version 0.2.0+ds
  * Bump build-dependency golang-any (>= 2:1.18~) as per go.mod
  * Remove unneeded dependency on ${shlibs:Depends} for -dev package
  * Build-depend on dh-golang (>= 1.58~) to avoid dh_dwz errors
  * Replace Built-Using field with Static-Built-Using
  * Update versioned dependencies as per go.mod:
    - golang-github-yuin-goldmark-dev (>= 1.4.13)
    - golang-golang-x-mod-dev (>= 0.6.0)
    - golang-golang-x-net-dev (>= 1:0.1.0)
    - golang-golang-x-sync-dev (>= 0.0~git20220722.886fb93)
    - golang-golang-x-sys-dev (>= 0.1.0)
    - golang-golang-x-text-dev (>= 0.4.0)
    - golang-golang-x-vuln-dev (>= 0.0~git20221010.563322b)
    - golang-gopkg-yaml.v3-dev (>= 3.0.1)
    - golang-honnef-go-tools-dev (>= 2022.1.3)
    - golang-mvdan-gofumpt-dev (>= 0.3.1)
    - golang-mvdan-xurls-dev (>= 2.4.0)
  * Refresh 0008-skip-test-needs-go-mod.patch to accommodate path change
    due to "gopls: migrate internal/lsp to gopls/internal/lsp"
  * Update DH_GOLANG_EXCLUDES and DH_GOLANG_INSTALL_EXTRA

 -- Anthony Fok <foka@debian.org>  Fri, 28 Oct 2022 12:36:04 -0600

golang-golang-x-tools (1:0.1.12+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release 0.1.12
  * Bump golang-golang-x-vuln-dev to 0.0~git20220725.4151a5a

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 03 Aug 2022 04:17:12 +0800

golang-golang-x-tools (1:0.1.11+ds-2) unstable; urgency=medium

  * Team upload
  * Add golang-golang-x-vuln-dev to Build-Depends

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 25 Jun 2022 20:30:38 +0800

golang-golang-x-tools (1:0.1.11+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Standards-Version to 4.6.1 (no changes)
  * Drop dependency golang-golang-x-xerrors-dev
  * Disable vulncheck in gopls
    golang.org/x/vuln is not packaged yet

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 18 Jun 2022 16:29:07 +0800

golang-golang-x-tools (1:0.1.10+ds-1) unstable; urgency=medium

  * Team upload.

  [ Tianon Gravi ]
  * Remove self from Uploaders

  [ Shengjing Zhu ]
  * New upstream release (Closes: #1007800)
  * Fix Multi-Arch hint
  * Fix Martina name and email address
  * Update exclude packages for new version
  * Bump golang-golang-x-mod-dev to 0.5.1-2
  * Bump golang-mvdan-gofumpt-dev to 0.3.0
  * Install extra testdata for lsp help test

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Mar 2022 01:26:33 +0800

golang-golang-x-tools (1:0.1.9+ds-2) unstable; urgency=medium

  * Team upload.
  * Add Multi-Arch hint
  * Refresh lintian overrides

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Feb 2022 23:11:16 +0800

golang-golang-x-tools (1:0.1.9+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Feb 2022 23:53:11 +0800

golang-golang-x-tools (1:0.1.8+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 24 Dec 2021 03:14:00 +0800

golang-golang-x-tools (1:0.1.7+ds-2) unstable; urgency=medium

  * Team upload.
  * Include ocagent package when build

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 10 Oct 2021 19:06:56 +0800

golang-golang-x-tools (1:0.1.7+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Install new binary file2fuzz

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 10 Oct 2021 00:41:50 +0800

golang-golang-x-tools (1:0.1.5+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Standards-Version to 4.6.0 (no changes)
  * Refresh patches
  * Bump golang-honnef-go-tools-dev to 2021.1.1

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 12 Sep 2021 16:45:30 +0800

golang-golang-x-tools (1:0.1.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Add golang-golang-x-sys-dev to Depends
  * Update Standards-Version to 4.5.1 (no changes)
  * Drop genapijson binary.
    It was in internal directory, now it has been removed
  * Drop gostacks binary.
    It's in internal directory
  * Add new golang-fieldalignment binary

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 29 Jan 2021 17:55:13 +0800

golang-golang-x-tools (1:0.0~git20201121.780cb80+ds-2) unstable; urgency=medium

  * Team upload.
  * Add Breaks+Replaces in gopls (Closes: #975544)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 23 Nov 2020 22:52:34 +0800

golang-golang-x-tools (1:0.0~git20201121.780cb80+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot
  * Exclude slow gopls regtest

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 23 Nov 2020 13:13:17 +0800

golang-golang-x-tools (1:0.0~git20201116.6f6c72a+ds-3) experimental; urgency=medium

  * Team upload.
  * Enable building gopls and split it to a standalone package.
    gopls is the official language server for the Go language.
    Closes: #974931

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 17 Nov 2020 23:05:54 +0800

golang-golang-x-tools (1:0.0~git20201116.6f6c72a+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Remove GPL-3 in d/copyright
    jquery.treeview is licensed in Expat only now
  * Change section to golang

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 17 Nov 2020 12:29:05 +0800

golang-golang-x-tools (1:0.0~git20201116.6f6c72a+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream snapshot
  * Add patch to skip tests which need Go mod

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 17 Nov 2020 02:34:43 +0800

golang-golang-x-tools (1:0.0~git20200410.79a7a31+ds-3) unstable; urgency=medium

  * Team upload.
  * Drop 0010-Workaround_missing_api_symlink.patch, fixed in golang 1.12
  * Disable tests on gccgo
  * Increase test timeout
  * Update debhelper-compat to 13
  * Update lintian overrides for golang-golang-x-tools-dev

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 21 Jul 2020 00:15:03 +0800

golang-golang-x-tools (1:0.0~git20200410.79a7a31+ds-2) unstable; urgency=medium

  * Team upload.
  * Don't exclude internal/lsp package. (Closes: #963166)
    It's used by other packages, and don't introduce extra dependencies.
    Fix the failing autopkgtest.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 18 Apr 2020 01:19:41 +0800

golang-golang-x-tools (1:0.0~git20200410.79a7a31+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20200410.79a7a31+ds
    which builds successfully with golang-1.14 (Closes: #953734)
  * Add "Rules-Requires-Root: no" to debian/control
  * Revert "Include our own vendored copy of golang.org/x/mod"
    as golang-golang-x-mod entered Debian on 2020-03-07
  * Update dependencies according to go.mod.
    Notably, there is a new dependency on golang-github-yuin-goldmark-dev
  * Remove obsolete man pages builder.1 and tipgodoc.1
  * Add to DH_GOLANG_EXCLUDES "internal/lsp"
    which is a part of the previously excluded "gopls"
  * Rename or delete executables with too generic names (Closes: #953725)

 -- Anthony Fok <foka@debian.org>  Sat, 11 Apr 2020 08:51:49 -0600

golang-golang-x-tools (1:0.0~git20200213.88e652f+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20200213.88e652f
  * Bump Standards-Version to 4.5.0 (no change)
  * Remove now obsolete 0011-Disable_Google_Analytics.patch
  * Refresh 0005-Disable_static.go.patch and
    0006-Do_not_depend_on_golang-doc.patch
  * debian/copyright: Change Upstream-Name from tools to x/tools
    and add Upstream-Contact: https://github.com/golang/go/issues
  * Update dependencies according to go.mod.
    Notably, there is a new dependency on golang-golang-x-mod-dev
  * Include our own vendored copy of golang.org/x/mod
    until golang-golang-x-mod enters Debian unstable

 -- Anthony Fok <foka@debian.org>  Wed, 26 Feb 2020 09:53:58 -0700

golang-golang-x-tools (1:0.0~git20191118.07fc4c7+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20191118.07fc4c7
  * Drop transitional packages golang-go.tools and golang-go.tools-dev
    (Closes: #939231, 939232)
  * Bump Standards-Version to 4.4.1 (no change)
  * Drop 0014-go-packages-update-tests-to-reflect-changes-in-golan.patch
    (upstream patch to fix packages_testo.go) which is included upstream
    since 2019-10-05 or thereabouts
  * Refresh debian/patches:
    - 0005-Disable_static.go.patch
    - 0006-Do_not_depend_on_golang-doc.patch
    - 0007-Disable_tests_for_gccgo.patch
    - 0015-skip-tests-that-run-go-build.patch
  * Update Vcs-Browser and Vcs-Git, and move git repository
    from https://salsa.debian.org/go-team/packages/golang-go.tools
    to https://salsa.debian.org/go-team/packages/golang-golang-x-tools
  * Adjust DH_GOLANG_EXCLUDES to exclude gopls, which gopls has been
    separated out as its own module with different versioning from
    golang.org/x/tools.  If there were ever a need to have gopls packaged
    for Debian, it should probably done from a separate source package.
  * Revert "debian/rules: Skip dh_dwz" now that #933541 has been fixed
  * Update Build-Depends on dh-golang to (>= 1.40~) which allows us
    not to manually set GOCACHE in debian/rules.

 -- Anthony Fok <foka@debian.org>  Wed, 20 Nov 2019 22:54:30 -0700

golang-golang-x-tools (1:0.0~git20190809.6d4652c+ds-4) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix packages_test.go.
  * Add Debian patch to fix endtoend_test.go.

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Tue, 05 Nov 2019 16:12:21 +0700

golang-golang-x-tools (1:0.0~git20190809.6d4652c+ds-3) unstable; urgency=medium

  * Team upload.
  * Skip another RAM hungry test in -short mode.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 04 Sep 2019 09:13:12 +1200

golang-golang-x-tools (1:0.0~git20190809.6d4652c+ds-2) unstable; urgency=medium

  * Team upload.
  * d/patches/0013-skip-TestBExportData_stdlib.patch: skip test that OOMs in autopkgtest.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Mon, 02 Sep 2019 09:12:18 +1200

golang-golang-x-tools (1:0.0~git20190809.6d4652c+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20190809.6d4652c
  * Remove third_party from Files-Excluded in debian/copyright
    as it has been removed upstream in commit ae772f1 on 2019-03-21
  * Add dependency on golang-golang-x-xerrors-dev as per upstream
    commit be5259f on 2019-08-06

 -- Anthony Fok <foka@debian.org>  Sat, 10 Aug 2019 20:34:51 -0600

golang-golang-x-tools (1:0.0~git20190729.ff9f140+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20190729.ff9f140
  * Add "repacksuffix=+ds" to debian/watch
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
  * Bump Standards-Version to 4.4.0 (no change)
  * Add golang-golang-x-sync-dev to Build-Depends,
    and bump golang-any (>= 2:1.11~)
  * Refresh patches, especially:
    - Disable new TestURL test in 0006-Do_not_depend_on_golang-doc.patch
    - Remove 0009_Skip_broken_TestGuru_for_old_Go_versions_for_now.patch
  * debian/rules: Skip dh_dwz.  See #933541 for more information.
  * Remove debian/patches/0004-heapview.patch:
    cmd/heapview was deleted by upstream author in commit 3c4dfba.
  * Update godoc.1 to reflect the removal of CLI support in Go 1.12.
    Users who want CLI support can use "go doc".

 -- Anthony Fok <foka@debian.org>  Wed, 31 Jul 2019 07:22:06 -0600

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gopls`.
